Subject: Re: [PATCH 0/2] test-lib-functions.sh: keep user's HOME, TERM and SHELL for 'test_pause' and 'debug'

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Aug 2021 12:57:58 -0700

Eric Sunshine <[email-masked]> writes:

> I also find the test_pause() user-experience suboptimal and appreciate
> the idea of improving it. However, this approach seems fatally flawed.
> In particular, setting HOME to the user's real home directory could
> lead to undesirable results. When I'm using test_pause() to debug a
> problem with a test, I'm not just inspecting the test state, but I
> quite often interact with the state using the same Git commands as the
> test itself would use.

Yes, I do agree with you that it is a valid concern.

I wonder if the developers can configure tools used during debugging
session with XDG so that HOME can be kept for the "fake user that
ran the test suite, with the fake user's configuration"?